/* OggDropXPd - Filename: DITHER.H
 *
 *   Copyright (c) 2002 - 2005 John Edwards <john.edwards33@ntlworld.com>
 *
 *   This library is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU Library General Public
 *   License as published by the Free Software Foundation; either
 *   version 2 of the License, or (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   Library General Public License for more details.
 *
 *   You should have received a copy of the GNU Library General Public
 *   License along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Major portion by Frank Klemm
 */

#ifndef __DITHER_H
#define __DITHER_H

#ifdef __cplusplus
extern "C" {
#endif 

#include <ogg/os_types.h>

typedef struct {
	const float*          FilterCoeff;
	ogg_uint64_t          Mask;
	double                Add;
	float                 Dither;
	float                 ErrorHistory     [2] [16];  // max. 2 channels, 16th order Noise shaping
	float                 DitherHistory    [2] [16];
	int                   LastRandomNumber [2];
} dither_t;

extern dither_t            Dither;
extern double              doubletmp;
static const unsigned char Parity [256];
unsigned int               random_int ( void );
extern double              scalar16 ( const float* x, const float* y );
extern double              Random_Equi ( double mult );
extern double              Random_Triangular ( double mult );
void                       Init_Dither ( int bits, int shapingtype );

#ifdef __cplusplus
}
#endif 

#endif /* __DITHER_H */

