/* OggDropXPd - Filename: MISC.H
 *
 *   Copyright (c) 2002 - 2005 John Edwards <john.edwards33@ntlworld.com>
 *   Jack Moffit <jack@icecast.org> [as the original 'oggdrop' author]
 *
 *   Michael Smith <msmith@xiph.org> [as the author of the original oggenc]
 *
 *   Kenneth Arnold <kcarnold@yahoo.com> and 
 *   Christopher Montgomery <xiphmont@xiph.org>
 *   [as authors of code Mike borrowed from for oggenc]
 *
 *   This library is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU Library General Public
 *   License as published by the Free Software Foundation; either
 *   version 2 of the License, or (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   Library General Public License for more details.
 *
 *   You should have received a copy of the GNU Library General Public
 *   License along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef __MISC_H
#define __MISC_H

#include <stdio.h>
#include "encode.h"
#include <vorbis/vorbisenc.h>

typedef void TIMER;

void *timer_start(void);

double timer_time(void *);

void timer_clear(void *);

void set_filename(char *filename);
double qc2approxBitrate(float qcValue, long rate, int channels);
//float qc2approxBitrate(int qcValue);

int local_strcasecmp(const char* s1, const char* s2);

extern void error_dialog(const char *fmt, ...);
extern void log_error(const char *fmt, ...);
extern void set_use_dialogs(int use_dialogs);
extern void (*error_handler)(const char *fmt, ...);

#endif /* __MISC_H */

